> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/ios/driving-insights/sentharshdrivingevent.md).

# SENTHarshDrivingEvent

```objectivec
SWIFT_CLASS_NAMED("HarshDrivingEvent")
@interface SENTHarshDrivingEvent : SENTDrivingEvent
```

## SENTHarshDrivingEvent API

### `confidence`

> The confidence in the harsh event, between 0 and 100.
>
> ```objectivec
> @property (nonatomic, readonly) NSInteger confidence;
> ```

### `endDate`

> The end date of the event.
>
> ```objectivec
> @property (nonatomic, readonly, strong) SENTDate * _Nonnull endDate;
> ```

### `magnitude`

> Returns the magnitude of the harsh event, in m/s^2.
>
> ```objectivec
> @property (nonatomic, readonly) float magnitude;
> ```

### `startDate`

> The start date of the event.
>
> ```objectivec
> @property (nonatomic, readonly, strong) SENTDate * _Nonnull startDate;
> ```

### `type`

> The type of harsh event. See [HarshDrivingEvent](/important-topics/sdk/api-reference/ios/driving-insights/sentharshdrivingevent/harshdrivingeventtype.md).
>
> ```objectivec
> @property (nonatomic, readonly) enum SENTHarshDrivingEventType type;
> ```

### `waypoints`

> Transport waypoints that indicate the segment of the transport where the event occurred.
>
> ```objectivec
> @property (nonatomic, readonly, strong) NSArray<SENTWaypoint *> * waypoints;
> ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/driving-insights/sentharshdrivingevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
